Ben
Burton
bab@debian.org
7 de marzo de 2003
adddebug
1

# `adddebug`

Modifica os `Makefile`s para engadir información de depuración

    adddebug -k -r -n

## Descrición

`adddebug` modifica o `Makefile` no directorio actual (e opcionalmente nos subdirectorios) para engadirlle información de depuración (`-g3`). Tamén eliminará optimizacións (`-O[1-9]`).

Esta utilidade forma parte do Kit de Desenvolvimento de Sóftware de &kde;.

## Opcións

`-k`

  Manten as optimizacións (non elimina as bandeiras `-O[1-9]?` que por omisión son eliminadas).

`-r`

  Procura recursivamente en todos os subdirectorios do directorio actual e opera en cada `Makefile` que atope.

`-n`

  compila sen definir NDEBUG e NO_DEBUG (fai que as as chamadas a `kDebug` funcionen)